Exceptions(3)

NAME
Exceptions - Exceptions

SYNOPSIS

  Classes
class __cxxabiv1::__forced_unwind
struct __gnu_cxx::forced_error
class __gnu_cxx::recursive_init_error
class std::__exception_ptr::exception_ptr
class std::bad_weak_ptr
class std::ios_base::failure
class std::nested_exception
class std::regex_error

  Functions
template<typename _Ex > const nested_exception * std::__get_nested_exception (const _Ex &__ex)
template<typename _Ex > void std::__throw_with_nested (_Ex &&, const nested_exception *=0) __attribute__((__noreturn__))
template<typename _Ex > void std::__throw_with_nested (_Ex &&,...) __attribute__((__noreturn__))
template<typename _Ex > exception_ptr std::copy_exception (_Ex __ex) noexcept 1
exception_ptr std::current_exception () noexcept
template<typename _Ex > exception_ptr std::make_exception_ptr (_Ex __ex) noexcept
void std::rethrow_exception (exception_ptr) __attribute__((__noreturn__))
template<typename _Ex > void std::rethrow_if_nested (const _Ex &__ex)
void std::rethrow_if_nested (const nested_exception &__ex)
template<typename _Ex > void std::throw_with_nested (_Ex __ex)

Detailed Description

Function Documentation

  template<typename _Ex > exception_ptr std::copy_exception (_Ex __ex) [noexcept]

Obtain an exception_ptr pointing to a copy of the supplied object. This function is deprecated, use std::make_exception_ptr instead.

Definition at line 193 of file exception_ptr.h.

  exception_ptr std::current_exception () [noexcept]
Obtain an exception_ptr to the currently handled exception. If there is none, or the currently handled exception is foreign, return the null value.

Referenced by std::make_exception_ptr().

  template<typename _Ex > exception_ptr std::make_exception_ptr (_Ex __ex) [noexcept]

Obtain an exception_ptr pointing to a copy of the supplied object.

Definition at line 169 of file exception_ptr.h.

References std::current_exception().

  void std::rethrow_exception (exception_ptr)

Throw the object pointed to by the exception_ptr.

  template<typename _Ex > void std::rethrow_if_nested (const _Ex & __ex) [inline]

If __ex is derived from nested_exception, __ex.rethrow_nested().

Definition at line 146 of file nested_exception.h.

  void std::rethrow_if_nested (const nested_exception & __ex) [inline]

Overload, See N2619.

Definition at line 154 of file nested_exception.h.

  template<typename _Ex > void std::throw_with_nested (_Ex __ex) [inline]

If __ex is derived from nested_exception, __ex. Else, an implementation-defined object derived from both.

Definition at line 136 of file nested_exception.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.